# Copyright 1999-2023 Gentoo Authors
# Copyright 2022-2023 The Trinity Desktop Project
# Distributed under the terms of the GNU General Public License v2

EAPI="8"

TRINITY_MODULE_NAME="tdewebdev"
TRINITY_MODULE_TYPE="core"
TRINITY_HANDBOOK="optional"

inherit trinity-meta-2 flag-o-matic

DESCRIPTION="Graphical XSLT debugger for TDE [Trinity]"
HOMEPAGE="https://trinitydesktop.org/"

if [[ ${PV} != *9999* ]] ; then
	KEYWORDS="~amd64 ~arm64 ~x86"
fi

DEPEND="
	dev-libs/libxslt
	dev-libs/libxml2
"

RDEPEND="${DEPEND}"

PATCHES=(
	"${FILESDIR}/${PN}-add-headers.patch"
	"${FILESDIR}/tdewebdev-ninja.patch"
)

src_configure() {
	append-cxxflags "-std=c++11"
	trinity-meta-2_src_configure
}
